> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lightdash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account

> Get account information



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/user/account
openapi: 3.0.0
info:
  title: Lightdash API
  version: 2.125.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/user/account:
    get:
      tags:
        - My Account
      summary: Get account
      description: Get account information
      operationId: GetAccount
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetAccountResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiGetAccountResponse:
      properties:
        results:
          $ref: '#/components/schemas/SerializedAccount'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    SerializedAccount:
      properties:
        embedWriteContext:
          properties:
            aiAgentErrorMessage:
              type: string
            canUseAiAgent:
              type: boolean
            canCreateSavedChart:
              type: boolean
            canUpdateSavedChart:
              type: boolean
            canUpdateDashboard:
              type: boolean
          required:
            - canUseAiAgent
            - canCreateSavedChart
            - canUpdateSavedChart
            - canUpdateDashboard
          type: object
        user:
          $ref: '#/components/schemas/Omit_Account-at-user.ability-or-abilityRules_'
        authentication:
          properties:
            type:
              $ref: '#/components/schemas/AuthType'
          required:
            - type
          type: object
        organization:
          $ref: '#/components/schemas/AccountOrganization'
      required:
        - user
        - authentication
        - organization
      type: object
      description: >-
        The account as returned by the API. Kept to what the app needs so a
        session

        never echoes its own credential (cookie, token, key) or, for embeds, the

        embed configuration behind the JWT.


        We omit AbilityRules because tsoa is very unforgiving. We'll still get
        this in the UI to apply abilities.

        The same approach is taken for SessionUser from the UserController.
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    Omit_Account-at-user.ability-or-abilityRules_:
      $ref: >-
        #/components/schemas/Pick_Account-at-user.Exclude_keyofAccount-at-user.ability-or-abilityRules__
      description: Construct a type with the properties of T except for those in type K.
    AuthType:
      type: string
      enum:
        - session
        - pat
        - service-account
        - jwt
        - oauth
    AccountOrganization:
      $ref: >-
        #/components/schemas/Partial_Pick_Organization.organizationUuid-or-name-or-createdAt__
    Pick_Account-at-user.Exclude_keyofAccount-at-user.ability-or-abilityRules__:
      properties:
        id:
          type: string
          deprecated: true
        type:
          type: string
          enum:
            - registered
            - anonymous
        email:
          type: string
        isActive:
          type: boolean
      required:
        - id
        - type
        - isActive
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    Partial_Pick_Organization.organizationUuid-or-name-or-createdAt__:
      properties:
        name:
          type: string
          description: The name of the organization
        organizationUuid:
          type: string
          description: The unique identifier of the organization
          format: uuid
        createdAt:
          type: string
          format: date-time
      type: object
      description: Make all properties in T optional

````